Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

danil0

Members
  • Content count

    163
  • Joined

  • Last visited


Reputation Activity

  1. Like
    danil0 reacted to ArtcoInc in HoneyPot Captcha   
    @danil0
    For the shits and giggles of it, try changing the captcha from numbers to images?
    M
  2. Like
    danil0 reacted to Jack_mcs in HoneyPot Captcha   
    Yes, that should work.
  3. Like
    danil0 reacted to ArtcoInc in HoneyPot Captcha   
    @Jack_mcs
    I may be missing some proper SQL punctuation, but to manually create the table, I think it's *something* like this?
    CREATE TABLE IF NOT EXISTS honeypot_track (ip_number INT( 64 ) UNSIGNED NOT NULL, count int (11) DEFAULT 0, last_date datetime NOT NULL, PRIMARY KEY(ip_number) ) ENGINE=InnoDB Corrections, please 😀
    Malcolm
    PS: do you really need to define the engine type, especially if the shop may be using a different engine?
  4. Like
    danil0 reacted to Jack_mcs in HoneyPot Captcha   
    I can't imagine why it wouldn't be created and I've never had it happen. But I just realized that there isn't any notice made in case it does fail. I will add that to the next version. Thanks for mentioning it.
  5. Like
    danil0 reacted to ArtcoInc in HoneyPot Captcha   
    @danil0 Two things ...
    1) It still looks like you messed up the edits to contact_us.php. Can you post your modified file here?
    2) Do you have access to your database, through something like phpMyAdmin ? Can you confirm that you have a table called honeypot_track ?
    Malcolm
     
     
  6. Like
    danil0 reacted to Jack_mcs in HoneyPot Captcha   
    This is because some versions of oscommerce don't use that item. To fix it, edit the includes/honeypot/modules/honeypot_display.php file and change this
    FORM_REQUIRED_INPUT . ' </div> to this (notice the addition of a single quote)
    '</div> For the captcha, the gd library is required. That is part of php but has to be enabled in it. You need to ask your host if it is enabled. There is an older version of it that, I think, won't work. So if they can enable the latest version, that would be best. But I've mentioned before that the captcha is really not needed and just adds a bother to your customers. Use it if you like. But the blocking should work fine without it.
×